package com.ycwl.basic.model.pc.face.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:11
 */
@Data
@TableName("face")
public class FaceEntity {
    @TableId
    private Long id;
    private Long scenicId;
    /**
     * 人脸得分
     */
    private float score;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 用户上传的人脸照片
     */
    private String faceUrl;
    /**
     * 与样本匹配的ID，逗号隔开
     */
    private String matchSampleIds;
    /**
     * 匹配率
     */
    private BigDecimal firstMatchRate;
    /**
     * 匹配的结果，JSON字符串
     */
    private String matchResult;
    private Date createAt;
    private Date updateAt;
    private int isDelete;
}
