package com.ycwl.basic.model.pc.broker.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:29
 */
@Data
@ApiModel("查询推客列表请求参数")
public class BrokerReqQuery extends BaseQueryParameterReq {
    private Long id;
    private Long scenicId;
    @ApiModelProperty("推客名称")
    private String name;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("状态，0禁用，1启用")
    private Integer status;
    @ApiModelProperty("提成状态，0禁用，1启用")
    private Integer brokerEnable;
    private Date startTime;
    private Date endTime;
}
